import request from '@/utils/request'

// 查询数据归档列表
export function listDataFile(query) {
  return request({
    url: '/major/dataFile/list',
    method: 'get',
    params: query
  })
}

// 查询数据归档详细
export function getDataFile(dataFileId) {
  return request({
    url: '/major/dataFile/' + dataFileId,
    method: 'get'
  })
}

// 新增数据归档
export function addDataFile(data) {
  return request({
    url: '/major/dataFile',
    method: 'post',
    data: data
  })
}

// 修改数据归档
export function updateDataFile(data) {
  return request({
    url: '/major/dataFile',
    method: 'put',
    data: data
  })
}

// 删除数据归档
export function delDataFile(dataFileId) {
  return request({
    url: '/major/dataFile/' + dataFileId,
    method: 'delete'
  })
}
